package com.tmerclub.cloud.common.local.constant;

/**
 * 订单状态
 *
 * @author: frank
 * @create: 2025-04-15
 **/
public enum CueOrderStatus {

    PENDING_AUDIT(0, "待审核"),
    AUDIT_PASS(1, "审核通过(待发货)"),
    AUDIT_FAIL(2, "审核拒绝"),
    PENDING_DELIVERY(3, "待发货(已发货)"),
    PENDING_RECEIPT(4, "已收货(评估中)"),
    RECEIPT_EVALUATION(5, "评估失败(退回)"),
    EVALUATION_SUCCESS(6, "评估成功(给出价格)"),
    EVALUATION_FAIL(7, "价格不满意(退回)"),
    EVALUATION_SUCCESS_AND_PAY(8, "价格满意(结束)"),
    EVALUATION_FAIL_AND_BACK(9, "价格不满意(已退回)"),
    RECEIPT_EVALUATION_AND_BACK(10, "评估失败(已退回)");


    private final Integer num;
    private final String description;

    CueOrderStatus(Integer num, String description) {
        this.num = num;
        this.description = description;
    }

    public Integer value() {
        return num;
    }
}
